Formulários
Consultar formulário
Consulta um formulário pelo identificador devolvido na criação.
POST
/pooling/form/getAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/pooling/form/get" \ -H "Content-Type: application/json" \ -d '{ "form_identifier": "01970d18-aac3-7ff4-ba76-78e785409d09" }'{
"form_identifier": "01970d18-aac3-7ff4-ba76-78e785409d09",
"cnpj": "22140418000160",
"create_at": "2026-02-25T15:38:04.603Z",
"update_at": "2026-02-25T15:41:12.117Z",
"order_type": "NRM",
"form_status": "CNC",
"serial_pos": "",
"user_id": 24,
"type": "FORM",
"controle_versao": "2.14.0",
"conn_type": "WIFI",
"batt_level": "87",
"charging": false,
"location": {
"lat": "",
"long": ""
},
"reason": null,
"form_name": "cadastro-cliente",
"order_target": "USR",
"package_name": "br.com.poscontrole.smarttef",
"store_id": 1,
"form_url": "https://storage.blob.com/smart-tef/cadastro-cliente",
"fill_out_type": "REQUEST_MANDATORY_FORM",
"agregate": "NONE",
"order_target_initial": "USR",
"serial_pos_initial": "",
"user_id_initial": 24,
"extras": {
"CNPJ": "12612554000131"
},
"has_details": false
}{
"status": 400,
"data": {
"message": [
{
"code": "invalid_type",
"expected": "string",
"received": "undefined",
"message": "Required",
"path": [
"form_identifier"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/form/get"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/form/get"
}
}{
"status": 404,
"data": {
"message": "form order not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/form/get"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/pooling/form/get"
}
}